Subject: [alpine-devel] [PATCH] testing/mate-themes: new aport

From: Alan Lacerda <[email-masked]>
Date: Mon, 15 Dec 2014 14:52:07 +0000

---
 testing/mate-themes/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/mate-themes/APKBUILD

diff --git a/testing/mate-themes/APKBUILD b/testing/mate-themes/APKBUILD
new file mode 100644
index 0000000..7e6a8d8
--- /dev/null
+++ b/testing/mate-themes/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Alan Lacerda <[email-masked]>
+# Maintainer:
+pkgname=mate-themes
+pkgver=1.9.0
+pkgrel=0
+pkgdesc="MATE themes"
+url="https://github.com/mate-desktop/mate-themes"
+arch="noarch"
+license="LGPL2"
+depends="mate-common"
+depends_dev=""
+makedepends="$depends_dev autoconf automake intltool glib-dev gdk-pixbuf-dev gtk+-dev
+	icon-naming-utils"
+install=""
+subpackages="$pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="7e4c20e3bd82fa55b2695cb5bc9fb9df  mate-themes-1.9.0.tar.xz"
+sha256sums="bda90434fc53d80fe15d44362c3851435b2e1a562ece243e489906340e31d36c  mate-themes-1.9.0.tar.xz"
+sha512sums="e2ebe927cff9a6d6cd0fc6d37c510080fae2a7af64d70b59c0a892911c847d55e591a8f134d14059dcba406009f8b4c15e346fe28f64473a1b7c2415f385e69f  mate-themes-1.9.0.tar.xz"
-- 
2.1.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---